---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libRawMonitorTest.dylib'
relocations:
  - { offsetInCU: 0x74, offset: 0x74, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x22630, symBinAddr: 0x8040, symSize: 0x0 }
  - { offsetInCU: 0x8CC8, offset: 0x8CC8, size: 0x8, addend: 0x0, symName: __ZL21GetCarrierThread_func, symObjAddr: 0x22640, symBinAddr: 0x8050, symSize: 0x0 }
  - { offsetInCU: 0x8CD5, offset: 0x8CD5, size: 0x8, addend: 0x0, symName: __ZL15get_thread_nameP9_jvmtiEnvP7JNIEnv_P8_jobject, symObjAddr: 0x11E0, symBinAddr: 0x2D60, symSize: 0x180 }
  - { offsetInCU: 0x8D0C, offset: 0x8D0C, size: 0x8, addend: 0x0, symName: __ZZL15get_thread_nameP9_jvmtiEnvP7JNIEnv_P8_jobjectE11UNNAMED_LEN, symObjAddr: 0x22648, symBinAddr: 0x8058, symSize: 0x0 }
  - { offsetInCU: 0x8EF9, offset: 0x8EF9, size: 0x8, addend: 0x0, symName: __ZL7monitor, symObjAddr: 0x22638, symBinAddr: 0x8048, symSize: 0x0 }
  - { offsetInCU: 0xA416, offset: 0xA416, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0xA00, symBinAddr: 0x29E0, symSize: 0x30 }
  - { offsetInCU: 0xA71C, offset: 0xA71C, size: 0x8, addend: 0x0, symName: _Java_RawMonitorTest_rawMonitorEnter, symObjAddr: 0xE90, symBinAddr: 0x2A10, symSize: 0x1E0 }
  - { offsetInCU: 0xAB0D, offset: 0xAB0D, size: 0x8, addend: 0x0, symName: __ZL18get_carrier_threadP9_jvmtiEnvP7JNIEnv_P8_jobject, symObjAddr: 0x1070, symBinAddr: 0x2BF0, symSize: 0x170 }
  - { offsetInCU: 0xAEBB, offset: 0xAEBB, size: 0x8, addend: 0x0, symName: _Java_RawMonitorTest_rawMonitorExit, symObjAddr: 0x1360, symBinAddr: 0x2EE0, symSize: 0x1E0 }
  - { offsetInCU: 0xB2D8, offset: 0xB2D8, size: 0x8, addend: 0x0, symName: _Java_RawMonitorTest_rawMonitorWait, symObjAddr: 0x1540, symBinAddr: 0x30C0, symSize: 0x200 }
  - { offsetInCU: 0xB702, offset: 0xB702, size: 0x8, addend: 0x0, symName: _Java_RawMonitorTest_rawMonitorNotifyAll, symObjAddr: 0x1740, symBinAddr: 0x32C0, symSize: 0x80 }
  - { offsetInCU: 0xB86A, offset: 0xB86A, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x17C0, symBinAddr: 0x3340, symSize: 0xDF }
...
